package com.zjrs.ggfw.portal.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@TableName("V_RS_PSAM_RKXXB")
@ApiModel(value="VRsPsamRkxxb对象", description="PSAM卡入库信息")
public class VRsPsamRkxxb {

    @ApiModelProperty(value = "PSAM卡入库信息表流水号")
    @TableId(value = "RS_PSAM_RKXXB_LSH", type = IdType.ASSIGN_UUID)
    private String rsPsamRkxxbLsh;

    @ApiModelProperty(value = "卡编号")
    @TableField("PSAMBH")
    private String psambh;

    @ApiModelProperty(value = "卡类型")
    @TableField("KLX")
    private String klx;
    
    @ApiModelProperty(value = "卡状态")
    @TableField("KZT")
    private String kzt;
    
    @ApiModelProperty(value = "创建人")
    @TableField("CJR")
    private String cjr;
    
    @ApiModelProperty(value = "创建时间")
    @TableField("CJSJ")
    private String cjsj;
    
    @ApiModelProperty(value = "最后修改人")
    @TableField("ZHXGR")
    private String zhxgr;
    
    @ApiModelProperty(value = "最后修改时间")
    @TableField("ZHXGSJ")
    private String zhxgsj;

	public String getRsPsamRkxxbLsh() {
		return rsPsamRkxxbLsh;
	}

	public void setRsPsamRkxxbLsh(String rsPsamRkxxbLsh) {
		this.rsPsamRkxxbLsh = rsPsamRkxxbLsh;
	}

	public String getPsambh() {
		return psambh;
	}

	public void setPsambh(String psambh) {
		this.psambh = psambh;
	}

	public String getKlx() {
		return klx;
	}

	public void setKlx(String klx) {
		this.klx = klx;
	}

	public String getKzt() {
		return kzt;
	}

	public void setKzt(String kzt) {
		this.kzt = kzt;
	}

	public String getCjr() {
		return cjr;
	}

	public void setCjr(String cjr) {
		this.cjr = cjr;
	}

	public String getCjsj() {
		return cjsj;
	}

	public void setCjsj(String cjsj) {
		this.cjsj = cjsj;
	}

	public String getZhxgr() {
		return zhxgr;
	}

	public void setZhxgr(String zhxgr) {
		this.zhxgr = zhxgr;
	}

	public String getZhxgsj() {
		return zhxgsj;
	}

	public void setZhxgsj(String zhxgsj) {
		this.zhxgsj = zhxgsj;
	}
}